 

from gvsig import *

from commonsdialog import msgbox

from javax.swing import ImageIcon

from org.gvsig.andami import PluginsLocator
from org.gvsig.scripting.app.extension import ScriptingExtension
from org.gvsig.tools.swing.api import ToolsSwingLocator

from java.lang import Thread
class fixbug_addMenu(Thread):
  def __init__(self, name, text):
    self.name = name
    self.text = text
    self.start()

  def run(self):
    from time import sleep
    from  org.gvsig.andami import PluginServices
  
    sleep(5)
    menu = PluginServices.getMainFrame().getComponentByName(self.name)
    menu.setText(self.text)
    
def main():
  application = ApplicationLocator.getManager()

  # Cargamos y registramos en icono en el tema de iconos
  iconurl = script.getResource("acme.png").toURL()
  iconimage = ImageIcon(iconurl)  
  iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent()
  iconTheme.register("Scripting", "action", "tools-scripting-acme", iconimage, iconurl)
  
  # Creamos la accion si no existe ya  
  actionManager = PluginsLocator.getActionInfoManager()
  action = actionManager.createAction(
      ScriptingExtension, 
      "tools-scripting-acme", 
      "A.C.M.E.", 
      "acme", # Nombre del script
      "tools-scripting-acme", 
      None, 
      1009000000, 
      "A.C.M.E. Inc."
  )
  action = actionManager.registerAction(action)

  # Y damos de alta una entrada de menu y un boton en la barra de herramientas
  application.addMenu(action, "tools/Scripting/A.C.M.E.")
  fixbug_addMenu("tools-scripting-acme","A.C.M.E.")
  
  application.addTool(action, "acme")

  
  msgbox("A.C.M.E. Inc., instalada")
    
  
  
